/*--------------------------------------------------------------------.
| support.c                                                           |
|                                                                     |
| (c) 1999 Christopher Cave and Jonathan Hudson                       |
| This file is part of the freely distributable menu_rext c68 library |
| It may be distributed under the same terms as c68                   |
|                                                                     |
| Authors:                                                            |
|    Christopher Cave      <ccave@cix.compulink.co.uk>                |
|    Jonathan Hudson       <jrhudson@bigfoot.com>                     |
| Bug fixes and improvements:                                         |
|    Thierry Godefroy    <godefroy@imaginet.fr>                       |
 --------------------------------------------------------------------*/

#include <qdos.h>
#include <qptr.h>
#include <string.h>
#include "menu.h"

QD_text_t * __move_in(QD_text_t *s, char *t)
{
    s->len = strlen(t); strcpy((char *)s->chrs, t);
    return s;
}

char *__restore(char *p, QD_text_t *q)
{
    strncpy((p), (char*)(q)->chrs, (q)->len);
    *((p) + (q)->len) = '\0';
    return p;
}
