/*--------------------------------------------------------------------.
| button.c                                                            |
|                                                                     |
| (c) 1997 Christopher Cave and Jonathan Hudson                       |
| This file is part of the freely distributable menu_rext c68 library |
| It may be distributed under the same terms as c68                   |
|                                                                     |
| Authors:                                                            |
|    Christopher Cave      <ccave@cix.compulink.co.uk>                |
|    Jonathan Hudson       <jrhudson@bigfoot.com>                     |
| Bug fixes and improvements:                                         |
|    Thierry Godefroy    <godefroy@imaginet.fr>                       |
 --------------------------------------------------------------------*/

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <qdos.h>
#include <qptr.h>

#include "menu.h"
#include "menuP.h"

void Button (char *name, int xpos, int ypos, int mainc)
{
    MENUBUTN bn;
    QD_text_t *obj;
    short ns;

    ns  = strlen(name);
    obj = (QD_text_t*)alloca(ns+sizeof(short));
    obj->len = ns;
    strncpy((char *)obj->chrs, name, ns);
    bn.name.attr = THP_CALL | THP_STR;
    bn.name.info = 0;
    bn.name.ptr  = obj;
    bn.xpos  = xpos;
    bn.ypos  = ypos;
    bn.mainc = mainc;

    _use_qmenu(BUTN, &bn);
}
