/*--------------------------------------------------------------------.
| menuinfo.c                                                          |
|                                                                     |
| (c) 1997 Christopher Cave and Jonathan Hudson                       |
| This file is part of the freely distributable menu_rext c68 library |
| It may be distributed under the same terms as c68                   |
|                                                                     |
| Authors:                                                            |
|    Christopher Cave    <ccave@cix.compulink.co.uk>                  |
|    Jonathan Hudson     <jrhudson@bigfoot.com>                       |
| Bug fixes and improvements:                                         |
|    Thierry Godefroy    <godefroy@imaginet.fr>                       |
 --------------------------------------------------------------------*/

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <qdos.h>
#include <qptr.h>

#include "menu.h"
#include "menuP.h"

char *MenuInfo (long key, char *buf)
{
    int iret;

    QD_TEXT (39) rsltstr;

    MENUINFO i;

    i.key = key;
    i.result.attr = THP_RET | THP_STR;
    i.result.info = 0;
    i.result.ptr = &rsltstr;
    rsltstr.len = 0;

    iret = _use_qmenu(INFO, &i);
    if (iret >= 0)
        RESTORES (buf, &rsltstr);

    return buf;
}
